package nfa;

import java.io.File;
import java.io.IOException;

/**
 * A class to simulate an NFA and print yes/no for each input string.
 * Your program should take as command-line arguments the name of the
 * file containing the NFA description and a list of string to test:
 * <pre>
 *   java nfa.NFASimulator t0.nfa aaa bbb ccc
 * </pre> 
 */
public class NFASimulator {
    
    public static void main(String args[]) throws IOException {

	if (args.length == 0) {
	    throw new RuntimeException("Must provide file name");
	}
	
	// create a NFAScanner for the file named in the first argument.
	NFAScanner in = new NFAScanner(new File(args[0]));		
	
    }
    
}
